require 'telegram/bot'
require 'logger'
require_relative 'lib/schedule_templates'

$telegram_token = 'XXXXXXXXXXXXXXXXXXXXXXX'
$private_group_chat_id = '-11111111111111'

$logger = Logger.new('logs/application.log')

def send_telegram_notification(message)
  Telegram::Bot::Client.run($telegram_token) do |bot|
    bot.api.send_message(chat_id: $private_group_chat_id, text: message)
  end

  $logger.info "Message sent to telegram chat at #{Time.now.utc}"
end

namespace :monday do
  task :fourth_lesson do
    send_telegram_notification(ScheduleTemplates.computing_technology)
  end

  task :fifth_lesson do
    send_telegram_notification(ScheduleTemplates.scientific_seminar)
  end

  task :sixth_lesson do
    send_telegram_notification(ScheduleTemplates.scientific_seminar)
  end
end

namespace :wednesday do
  task :fifth_lesson do
    send_telegram_notification(ScheduleTemplates.scientific_seminar)
  end

  task :sixth_lesson do
    send_telegram_notification(ScheduleTemplates.computing_technology)
  end
end

namespace :friday do
  task :fifth_lesson do
    send_telegram_notification(ScheduleTemplates.scientific_seminar)
  end

  task :sixth_lesson do
    send_telegram_notification(ScheduleTemplates.computing_technology)
  end

  task :seventh_lesson do
    send_telegram_notification(ScheduleTemplates.scientific_seminar)
  end
end